at.chipkarte.client.elgaad.soap

## Class MagistraleZubereitung

- Object
- - at.chipkarte.client.elgaad.soap.MagistraleZubereitung

-     public class MagistraleZubereitung
      extends Object

  Daten einer Magistralen Zubereitung (im Gegensatz zu einem `Arzneimittel`).
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die Magistrale Zubereitung zwecks "Erfassung" oder "Änderung" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MagistraleZubereitung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Name.
    `String` | `getText()` Text.
    `void` | `setName(String name)`
    `void` | `setText(String text)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MagistraleZubereitung

          public MagistraleZubereitung()

  - ### Method Detail

    - #### getName

          public String getName()

      Name.
      Eingabebedingung:
      Erfassung: Muss.
      Änderung: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Handelsname.

    - #### getText

          public String getText()

      Text.
      Eingabebedingung:
      Erfassung: Kann. Wird bei Nichtangabe seitens eCS automatisch mit dem Wert "Magistrale Zubereitung" befüllt.
      Änderung: Kann. Wird bei Nichtangabe seitens eCS automatisch mit dem Wert "Magistrale Zubereitung" befüllt.
      Ausgabebedingung: Kann.
      Format: alphanumerisch.
      Returns:
        Handelsname.

    - #### setText

          public void setText(String text)

    - #### setName

          public void setName(String name)